diff -r -c3 -B WWW/All/next/Makefile.include WWW.orig/All/next/Makefile.include
*** WWW/All/next/Makefile.include	Sat Jul 15 20:03:34 1995
--- WWW.orig/All/next/Makefile.include	Sun Sep 25 20:53:44 1994
***************
*** 15,22 ****
  # errno.
  
  CC = cc
! CFLAGS =  -Wall -g -DXMOSAIC_HACK -DNEED_PUTENV
! # CFLAGS =  -Wall -g -DXMOSAIC_HACK -arch m68k -arch i386 -DNEED_PUTENV
  
  #	For testing memory leaks only!   Use /NextDeveloper/MallocDebug app
  # LFLAGS = -lMallocDebug
--- 15,22 ----
  # errno.
  
  CC = cc
! CFLAGS =  -Wall -g -DXMOSAIC_HACK
! # CFLAGS =  -Wall -g -DXMOSAIC_HACK -arch m68k -arch i386
  
  #	For testing memory leaks only!   Use /NextDeveloper/MallocDebug app
  # LFLAGS = -lMallocDebug
diff -r -c3 -B WWW/All/next-386/Makefile.include WWW.orig/All/next-386/Makefile.include
*** WWW/All/next-386/Makefile.include	Sat Jul 15 20:03:33 1995
--- WWW.orig/All/next-386/Makefile.include	Sun Sep 25 15:00:17 1994
***************
*** 13,20 ****
  # in /usr/include/bsd/sys/errno.h. But __STRICT_BSD__ is needed for
  # errno.
  
! # CFLAGS =  -Wall -g -DXMOSAIC_HACK -DNEED_PUTENV
! CFLAGS =  -Wall -g -DXMOSAIC_HACK -arch m68k -arch i386 -DNEED_PUTENV
  
  CC = cc
  #	For testing memory leaks only!   Use /NextDeveloper/MallocDebug app
--- 13,20 ----
  # in /usr/include/bsd/sys/errno.h. But __STRICT_BSD__ is needed for
  # errno.
  
! # CFLAGS =  -Wall -g -DXMOSAIC_HACK
! CFLAGS =  -Wall -g -DXMOSAIC_HACK -arch m68k -arch i386
  
  CC = cc
  #	For testing memory leaks only!   Use /NextDeveloper/MallocDebug app
diff -r -c3 -B WWW/Daemon/Implementation/HTConfig.c WWW.orig/Daemon/Implementation/HTConfig.c
*** WWW/Daemon/Implementation/HTConfig.c	Sat Jul 15 20:02:58 1995
--- WWW.orig/Daemon/Implementation/HTConfig.c	Mon Sep 26 15:22:52 1994
***************
*** 1572,1578 ****
--- 1572,1588 ----
  		sprintf(envstr, "%s_proxy=%s", access, vec[1]);
  
  		old = getenv(envname);
+ #ifndef NeXT
  		putenv(envstr);
+ #else
+ 		HTLog_error("xxx_proxy directive not supported on the NeXT");
+ 		HTLog_error("Use xxx_proxy environment variables instead");
+ 		fprintf(stderr,
+ 			"%s_proxy directive not supported on the NeXT",access);
+ 		fprintf(stderr,
+ 			"Use %s_proxy environment variables instead",access);
+ 		exit(1);
+ #endif
  		if (old)
  		    HTLog_error2("Environment variable overridden:", old);
  	    }
diff -r -c3 -B WWW/Daemon/Implementation/HTSUtils.c WWW.orig/Daemon/Implementation/HTSUtils.c
*** WWW/Daemon/Implementation/HTSUtils.c	Sat Jul 15 20:02:49 1995
--- WWW.orig/Daemon/Implementation/HTSUtils.c	Sun Sep 25 14:52:57 1994
***************
*** 480,556 ****
      return setgroups(index, groups);
  }
  #endif
- 
- #ifdef NEED_PUTENV
- extern int putenv(char *newval)
- {
-     extern char **environ;
- 
-     static int firstTime = 1;
-     char **ep;
-     char *cp;
-     int esiz;
-     char *np;
- 
-     if (!(np = strchr(newval, '=')))
- 	return 1;
-     *np = '\0';
- 
-     /* look it up */
-     for (ep=environ ; *ep ; ep++)
-     {
- 	/* this should always be true... */
- 	if (cp = strchr(*ep, '='))
- 	{
- 	    *cp = '\0';
- 	    if (!strcmp(*ep, newval))
- 	    {
- 		/* got it! */
- 		*cp = '=';
- 		break;
- 	    }
- 	    *cp = '=';
- 	}
- 	else
- 	{
- 	    *np = '=';
- 	    return 1;
- 	}
-     }
- 
-     *np = '=';
-     if (*ep)
-     {
- 	/* the string was already there: just replace it with the new one */
- 	*ep = newval;
- 	return 0;
-     }
- 
-     /* expand environ by one */
-     for (esiz=2, ep=environ ; *ep ; ep++)
- 	esiz++;
-     if (firstTime)
-     {
- 	char **epp;
- 	char **newenv;
- 	if (!(newenv = malloc(esiz * sizeof(char *))))
- 	    return 1;
-    
- 	for (ep=environ, epp=newenv ; *ep ;)
- 	    *epp++ = *ep++;
- 	*epp++ = newval;
- 	*epp = (char *) 0;
- 	environ = newenv;
-     }
-     else
-     {
- 	if (!(environ = realloc(environ, esiz * sizeof(char *))))
- 	    return 1;
- 	environ[esiz - 2] = newval;
- 	environ[esiz - 1] = (char *) 0;
- 	firstTime = 0;
-     }
- 
-     return 0;
- }
- #endif
--- 480,482 ----
diff -r -c3 -B WWW/Daemon/Implementation/HTSUtils.h WWW.orig/Daemon/Implementation/HTSUtils.h
*** WWW/Daemon/Implementation/HTSUtils.h	Sat Jul 15 20:02:47 1995
--- WWW.orig/Daemon/Implementation/HTSUtils.h	Sun Sep 25 14:55:30 1994
***************
*** 79,84 ****
  
  #endif /* !HTSUTILS_H */
  
- #ifdef NEED_PUTENV
- extern int putenv(char *newval);
- #endif
--- 79,81 ----
